Subject: Ticket Assigned - Order #9647298095
From: Max <[email-masked]>
To: [email-masked]
Date: Wed, 09 Jun 2021 07:16:44 +0000

Hi Samer Salmeh,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Order #9647298095 To Whom It May Concern:

With regard to the order number above, I am still awaiting a refund since 05/04/2021. You will see the transaction of 41.67 on the April statement.

I have attached both statements which will show you the trail that the refund HAS NOT been made to my account. I attach the e-mail thread of the chat with states that the refund did not proceed as normal.

Could you please investigate with your finance department, as May 20th makes this well over 30 working days to receive a refund- this is ridiculous.

Regards,

Hanna Moghul

 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2595882